# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-2dmyoperiodic-nonrigid.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dmyoperiodic_nonrigid.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dmyoperiodic_nonrigid.py' can be created by running 'mia-2dmyoperiodic-nonrigid --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dmyoperiodic_nonrigid.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyoperiodic_nonrigid_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input perfusion data set""", argstr="--in-file %s", exists=True , mandatory = True )
	registered = traits.String( desc="""file name base for registered fiels""", argstr="--registered %s" )
	save_references = traits.Bool( desc="""Save synthetic references to files refXXXX.v""", argstr="--save-references" )
	skip = traits.Int( desc="""Skip images at the begin of the seriesSkip images at the begin of the series""", argstr="--skip %d" )
	max_candidates = traits.Int( desc="""maximum number of candidates for global reference imagemaximum number of candidates for global reference image""", argstr="--max-candidates %d" )
	cost_series = traits.String( desc="""Const function to use for the analysis of the seriesConst function to use for the analysis of the series""", argstr="--cost-series %s" )
	ref_idx = traits.String( desc="""save reference index number to this file""", argstr="--ref-idx %s" )
	global_reference = traits.Int( desc="""save reference index number to this filesave reference index number to this file""", argstr="--global-reference %d" )
	max_subset_delta = traits.Int( desc="""Maximum delta between two elements of the prealigned subsetMaximum delta between two elements of the prealigned subset""", argstr="--max-subset-delta %d" )
	optimizer = traits.String( desc="""Optimizer used for minimizationOptimizer used for minimization""", argstr="--optimizer %s" )
	refiner = traits.String( desc="""optimizer used for additional minimizationoptimizer used for additional minimization""", argstr="--refiner %s" )
	mr_levels = traits.Int( desc="""multi-resolution levelsmulti-resolution levels""", argstr="--mr-levels %d" )
	transForm = traits.String( desc="""transformation typetransformation type""", argstr="--transForm %s" )
	cost_subset = traits.String( desc="""Cost function for registration during the subset registrationCost function for registration during the subset registration""", argstr="--cost-subset %s" )
	cost_final = traits.String( desc="""Cost function for registration during the final registrationCost function for registration during the final registration""", argstr="--cost-final %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output perfusion data set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dmyoperiodic_nonrigid_OutputSpec(TraitedSpec):
	out_file = File(desc="output perfusion data set", exists = True )


#
# Task class specification
#
class mia_2dmyoperiodic_nonrigid(CommandLine):
	input_spec = mia_2dmyoperiodic_nonrigid_InputSpec
	output_spec = mia_2dmyoperiodic_nonrigid_OutputSpec
	_cmd = "mia-2dmyoperiodic-nonrigid"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyoperiodic_nonrigid()
	print( mia_prog.cmdline)
