# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-2dsegment-ahmed.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dsegment_ahmed.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dsegment_ahmed.py' can be created by running 'mia-2dsegment-ahmed --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dsegment_ahmed.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegment_ahmed_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""image to be segmented""", argstr="--in-file %s", exists=True , mandatory = True )
	no_of_classes = traits.Int( desc="""number of classesnumber of classes""", argstr="--no-of-classes %d" )
	bias_correct = traits.Bool( desc="""apply bias field correction""", argstr="--bias-correct" )
	class_centres = traits.ListFloat( desc="""initial class centers""", argstr="--class-centres %s", sep=",")
	spread = traits.Float( desc="""spread parameter describing the strength of mattar distinctionspread parameter describing the strength of mattar distinction""", argstr="--spread %f" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="class probability images, the image type must support multiple images and floating point values", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dsegment_ahmed_OutputSpec(TraitedSpec):
	out_file = File(desc="class probability images, the image type must support multiple images and floating point values", exists = True )


#
# Task class specification
#
class mia_2dsegment_ahmed(CommandLine):
	input_spec = mia_2dsegment_ahmed_InputSpec
	output_spec = mia_2dsegment_ahmed_OutputSpec
	_cmd = "mia-2dsegment-ahmed"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegment_ahmed()
	print( mia_prog.cmdline)
