# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-2dsegshiftperslice.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dsegshiftperslice.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dsegshiftperslice.py' can be created by running 'mia-2dsegshiftperslice --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dsegshiftperslice.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegshiftperslice_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input segmentation set""", argstr="--in-file %s", exists=True , mandatory = True )
	image_file = traits.String( desc="""output image filename base""", argstr="--image-file %s" )
	shift = traits.String( desc="""shift of segmentation - base name """, argstr="--shift %s" , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output segmentation set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dsegshiftperslice_OutputSpec(TraitedSpec):
	out_file = File(desc="output segmentation set", exists = True )


#
# Task class specification
#
class mia_2dsegshiftperslice(CommandLine):
	input_spec = mia_2dsegshiftperslice_InputSpec
	output_spec = mia_2dsegshiftperslice_OutputSpec
	_cmd = "mia-2dsegshiftperslice"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegshiftperslice()
	print( mia_prog.cmdline)
