# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-2dstack-cmeans-presegment.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dstack_cmeans_presegment.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dstack_cmeans_presegment.py' can be created by running 'mia-2dstack-cmeans-presegment --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dstack_cmeans_presegment.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dstack_cmeans_presegment_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	type = traits.String( desc="""output file name type""", argstr="--type %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	histogram_thresh = traits.Float( desc="""Percent of the extrem parts of the histogram to be collapsed into the respective last histogram bin.""", argstr="--histogram-thresh %f" )
	classes = traits.String( desc="""C-means class initializerC-means class initializer""", argstr="--classes %s" )
	seed_threshold = traits.Float( desc="""Probability threshold value to consider a pixel as seed pixel.""", argstr="--seed-threshold %f" )
	label = traits.Int( desc="""Class label to create the mask fromClass label to create the mask from""", argstr="--label %d" , mandatory = True )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_probmap = File(desc="Save probability map to this file", argstr="--out-probmap %s" )
	out_mask = File(desc="output file name base", argstr="--out-mask %s" , mandatory = True )

#
# Output specification
#
class mia_2dstack_cmeans_presegment_OutputSpec(TraitedSpec):
	out_probmap = File(desc="Save probability map to this file")
	out_mask = File(desc="output file name base", exists = True )


#
# Task class specification
#
class mia_2dstack_cmeans_presegment(CommandLine):
	input_spec = mia_2dstack_cmeans_presegment_InputSpec
	output_spec = mia_2dstack_cmeans_presegment_OutputSpec
	_cmd = "mia-2dstack-cmeans-presegment"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_probmap']=os.path.abspath(self.inputs.out_probmap)
		outputs['out_mask']=os.path.abspath(self.inputs.out_mask)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dstack_cmeans_presegment()
	print( mia_prog.cmdline)
