# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-2dtransformation-to-strain.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dtransformation_to_strain.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dtransformation_to_strain.py' can be created by running 'mia-2dtransformation-to-strain --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_2dtransformation_to_strain.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dtransformation_to_strain_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input transformation""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output Green's strain tensor", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dtransformation_to_strain_OutputSpec(TraitedSpec):
	out_file = File(desc="output Green's strain tensor", exists = True )


#
# Task class specification
#
class mia_2dtransformation_to_strain(CommandLine):
	input_spec = mia_2dtransformation_to_strain_InputSpec
	output_spec = mia_2dtransformation_to_strain_OutputSpec
	_cmd = "mia-2dtransformation-to-strain"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dtransformation_to_strain()
	print( mia_prog.cmdline)
