# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-3dcombine-mr-segmentations.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_3dcombine_mr_segmentations.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_3dcombine_mr_segmentations.py' can be created by running 'mia-3dcombine-mr-segmentations --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_3dcombine_mr_segmentations.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dcombine_mr_segmentations_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input probability images. The number of mask images must correspond to the number of probability images given here.""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image that contains the labeling.", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 3dimage/io", argstr="%s")
#
# Output specification
#
class mia_3dcombine_mr_segmentations_OutputSpec(TraitedSpec):
	out_file = File(desc="output image that contains the labeling.", exists = True )


#
# Task class specification
#
class mia_3dcombine_mr_segmentations(CommandLine):
	input_spec = mia_3dcombine_mr_segmentations_InputSpec
	output_spec = mia_3dcombine_mr_segmentations_OutputSpec
	_cmd = "mia-3dcombine-mr-segmentations"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dcombine_mr_segmentations()
	print( mia_prog.cmdline)
