# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-3dimagestatistics-in-mask.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_3dimagestatistics_in_mask.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_3dimagestatistics_in_mask.py' can be created by running 'mia-3dimagestatistics-in-mask --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_3dimagestatistics_in_mask.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dimagestatistics_in_mask_InputSpec(CommandLineInputSpec):
	image = traits.File( desc="""input image to be analyzed""", argstr="--image %s", exists=True , mandatory = True )
	mask = traits.File( desc="""mask image to use to restrict the analysis""", argstr="--mask %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	struct_name = traits.String( desc="""Name of the structure the statistics are evaluated for""", argstr="--struct-name %s" )
	limit = traits.Int( desc="""Number of pixels the mask should at least contain.""", argstr="--limit %d" )
	bins = traits.Int( desc="""number of histogram bins to be used""", argstr="--bins %d" )
	hmin = traits.Float( desc="""lower bound for the histogram mapping. All values below this value will be mapped into the lowest bin. If this parameter is equal or larger than hmax, the histogram range is evaluated automatically.lower bound for the histogram mapping. All values below this value will be mapped into the lowest bin. If this parameter is equal or larger than hmax, the histogram range is evaluated automatically.""", argstr="--hmin %f" )
	hmax = traits.Float( desc="""hpper bound for the histogram mapping. All values above this valuewill be mapped into the highest bin. If this parameter is equal or smaller than hmin, the histogram range is evaluated automatically.hpper bound for the histogram mapping. All values above this valuewill be mapped into the highest bin. If this parameter is equal or smaller than hmin, the histogram range is evaluated automatically.""", argstr="--hmax %f" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	summary = File(desc="File to write the summary statistics to as plain text.", argstr="--summary %s" )
	histogram = File(desc="File to write the histogram to", argstr="--histogram %s" )

#
# Output specification
#
class mia_3dimagestatistics_in_mask_OutputSpec(TraitedSpec):
	summary = File(desc="File to write the summary statistics to as plain text.")
	histogram = File(desc="File to write the histogram to")


#
# Task class specification
#
class mia_3dimagestatistics_in_mask(CommandLine):
	input_spec = mia_3dimagestatistics_in_mask_InputSpec
	output_spec = mia_3dimagestatistics_in_mask_OutputSpec
	_cmd = "mia-3dimagestatistics-in-mask"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['summary']=os.path.abspath(self.inputs.summary)
		outputs['histogram']=os.path.abspath(self.inputs.histogram)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dimagestatistics_in_mask()
	print( mia_prog.cmdline)
