# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-mesh-to-maskimage.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_mesh_to_maskimage.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_mesh_to_maskimage.py' can be created by running 'mia-mesh-to-maskimage --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_mesh_to_maskimage.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_mesh_to_maskimage_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input mesh to be adapted""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	origin = traits.ListFloat( desc="""coordinate of pixel at index 0,0,0coordinate of pixel at index 0,0,0""", argstr="--origin %s", sep=",")
	spacing = traits.ListFloat( desc="""voxel spacing in the output image, all values must be positive.voxel spacing in the output image, all values must be positive.""", argstr="--spacing %s", sep=",")
	size = traits.ListInt( desc="""size of the output image (0,0,0 = deduct)size of the output image (0,0,0 = deduct)""", argstr="--size %s", sep=",")
	out_file = File(desc="output image containing the binary mask", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_mesh_to_maskimage_OutputSpec(TraitedSpec):
	out_file = File(desc="output image containing the binary mask", exists = True )


#
# Task class specification
#
class mia_mesh_to_maskimage(CommandLine):
	input_spec = mia_mesh_to_maskimage_InputSpec
	output_spec = mia_mesh_to_maskimage_OutputSpec
	_cmd = "mia-mesh-to-maskimage"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_mesh_to_maskimage()
	print( mia_prog.cmdline)
