# This file was generated by running 'miaxml2nipype.py /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/doc/mia-meshfilter.xml /build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_meshfilter.py'
# '/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_meshfilter.py' can be created by running 'mia-meshfilter --help-xml >/build/mia-QZ_k9j/mia-2.2.7/obj-i686-linux-gnu/src/mia_meshfilter.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_meshfilter_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input mesh to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output mesh that have been filtered", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type mesh/filter", argstr="%s")
#
# Output specification
#
class mia_meshfilter_OutputSpec(TraitedSpec):
	out_file = File(desc="output mesh that have been filtered", exists = True )


#
# Task class specification
#
class mia_meshfilter(CommandLine):
	input_spec = mia_meshfilter_InputSpec
	output_spec = mia_meshfilter_OutputSpec
	_cmd = "mia-meshfilter"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_meshfilter()
	print( mia_prog.cmdline)
